Bug 113796 - (pcmcia_bug) pcmcia script contains errors
pcmcia script contains errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 04:14 EST by Michael Pender
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 01:33:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified script with corrections to eliminate bug. (4.48 KB, text/plain)
2004-01-18 04:18 EST, Michael Pender
no flags Details

  None (edit)
Description Michael Pender 2004-01-18 04:14:02 EST
Description of problem:

The pcmcia script contains errors that prevent it from loading
appropriate pcmcia devices.

Version-Release number of selected component (if applicable):

RH 9.

How reproducible: 100%

Steps to Reproduce:
1. Install a network card such as the Belkin 802.11b wireless card.
2. Compile the driver software.
3. Errors occur on every subsequent boot of the machine.
  
Actual results:

System is unable to locate ds, yenta_socket and pcmcia_core.

Expected results:

Expected result is no error message and successful load of network card.

Additional info:

The modprobe commands (lines 107-109 and 111-113) of the script
/etc/init.d/pcmcia are not supposed to have '.o' suffices.  Delete the
'.o' suffices and the script will work properly.

I have modified the script on my machine and confirmed that it works.
 I have also contacted the author of the script (David Hinds) and
confirmed that this is a bug.

David said that this is an error in the script as provided with the RH
distribution.   That is, David says that the script distributed by RH
is inconsistent with the script he provided to RH.

- Mike
Comment 1 Michael Pender 2004-01-18 04:18:34 EST
Created attachment 97081 [details]
Modified script with corrections to eliminate bug.
Comment 2 Bill Nottingham 2004-09-08 01:33:29 EDT
This is fixed in current releases.

Note You need to log in before you can comment on or make changes to this bug.